Holger's Java API

## com.antelmann.db
Interface SpecialRelationship<F extends DBEntry,T extends DBEntry,R>

Type Parameters:
  `F` - defines the class that serves as the 'from'-reference
  `T` - defines the class that serves as the 'to'-reference
  `R` - defines the class that represents the type of relationship

All Superinterfaces:
  DBEntry, EntryRelationship, LifeCycleObject, Serializable

All Known Implementing Classes:
  DefaultSpecialRelationship, FriendsEntry, GEventRelation, GPersonRelation

    public interface SpecialRelationship<F extends DBEntry,T extends DBEntry,R>

extends EntryRelationship

a relationship definition specifying the classes that may be connected as well as the type of relation

Since:
  12.09.2008, 23:50:20
Author:
  Holger Antelmann

Field Summary

Fields inherited from interface com.antelmann.db.DBEntry
`ENTRY_FLAVOR, ENTRY_LIST_FLAVOR`

Method Summary
`Stub<F>` `getFromReference()` represents the first entry of this relationship
`R` `getRelationType()` defines the kind of relationship
`Stub<T>` `getToReference()` represents the second entry of this relationship

Methods inherited from interface com.antelmann.db.EntryRelationship
`getComment, getRelationOption, isBidirectional`

Methods inherited from interface com.antelmann.db.DBEntry
`getID`

Methods inherited from interface com.antelmann.util.LifeCycleObject
`getBeginTime, getEndTime`

Method Detail

### getFromReference

    Stub<F> getFromReference()

  Description copied from interface: `EntryRelationship`
  represents the first entry of this relationship

  Specified by:
    `getFromReference` in interface `EntryRelationship`

### getToReference

    Stub<T> getToReference()

  Description copied from interface: `EntryRelationship`
  represents the second entry of this relationship

  Specified by:
    `getToReference` in interface `EntryRelationship`

### getRelationType

    R getRelationType()

  Description copied from interface: `EntryRelationship`
  defines the kind of relationship

  Specified by:
    `getRelationType` in interface `EntryRelationship`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads